# QTextCursor Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextCursor()
- void QTextCursor(QTextDocument document)
- void QTextCursor(QTextFrame frame)
- void QTextCursor(QTextBlock block)
- void QTextCursor(QTextCursor cursor)

### Constructor Properties

- prototype: The QTextCursor prototype object
- MoveAnchor
- KeepAnchor
- MoveMode( value )
- NoMove
- Start
- Up
- StartOfLine
- StartOfBlock
- StartOfWord
- PreviousBlock
- PreviousCharacter
- PreviousWord
- Left
- WordLeft
- End
- Down
- EndOfLine
- EndOfWord
- EndOfBlock
- NextBlock
- NextCharacter
- NextWord
- Right
- WordRight
- NextCell
- PreviousCell
- NextRow
- PreviousRow
- MoveOperation( value )
- WordUnderCursor
- LineUnderCursor
- BlockUnderCursor
- Document
- SelectionType( value )

### Prototype Object Properties

- int anchor()
- bool atBlockEnd()
- bool atBlockStart()
- bool atEnd()
- bool atStart()
- void beginEditBlock()
- QTextBlock block()
- QTextCharFormat blockCharFormat()
- QTextBlockFormat blockFormat()
- int blockNumber()
- QTextCharFormat charFormat()
- void clearSelection()
- int columnNumber()
- QTextList createList(Style style)
- QTextFrame currentFrame()
- QTextList currentList()
- QTextTable currentTable()
- void deleteChar()
- void deletePreviousChar()
- QTextDocument document()
- void endEditBlock()
- bool hasComplexSelection()
- bool hasSelection()
- void insertBlock()
- void insertFragment(QTextDocumentFragment fragment)
- QTextFrame insertFrame(QTextFrameFormat format)
- void insertHtml(String html)
- void insertImage(QImage image, String name)
- QTextList insertList(Style style)
- QTextTable insertTable(int rows, int cols)
- void insertText(String text)
- bool isCopyOf(QTextCursor other)
- bool isNull()
- void joinPreviousEditBlock()
- bool keepPositionOnInsert()
- void mergeBlockCharFormat(QTextCharFormat modifier)
- void mergeBlockFormat(QTextBlockFormat modifier)
- void mergeCharFormat(QTextCharFormat modifier)
- bool movePosition(MoveOperation op, MoveMode arg__2, int n)
- bool operator_equal(QTextCursor rhs)
- bool operator_less(QTextCursor rhs)
- int position()
- int positionInBlock()
- void removeSelectedText()
- void select(SelectionType selection)
- void selectedTableCells(int firstRow, int numRows, int firstColumn, int numColumns)
- String selectedText()
- QTextDocumentFragment selection()
- int selectionEnd()
- int selectionStart()
- void setBlockCharFormat(QTextCharFormat format)
- void setBlockFormat(QTextBlockFormat format)
- void setCharFormat(QTextCharFormat format)
- void setKeepPositionOnInsert(bool b)
- void setPosition(int pos, MoveMode mode)
- void setVerticalMovementX(int x)
- void setVisualNavigation(bool b)
- int verticalMovementX()
- bool visualNavigation()

### Instance Properties

QTextCursor objects have no special properties beyond those inherited from the QTextCursor prototype object.